<?php
/**
 * This file is used for displaying dashboard widget.
 *
 * @author   Tech Banker
 * @package  gallery-bank/lib
 * @version  4.0.0
 */

	/**
	 *  This function is used to get the count of galleries.
	 *
	 * @param int $type passes parameter as type.
	 */
function get_count_of_data_gallery_bank( $type ) {
	global $wpdb;
	$gb_total_data_count = $wpdb->get_var(
		$wpdb->prepare(
			'SELECT count(meta_id) FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s', $type
		)
	); // WPCS: db call ok, cache ok.
	return $gb_total_data_count;
}
?>
<style>
	.gb-statistics-list {
		overflow: hidden;
		margin: 0;
		margin-top: -12px !important;
	}
	.gb-gallery-data,.gb-images-data{
		border-top: 0px !important;
	}
	.gb-statistics-list li a:hover {
		color: #2ea2cc;
	}
	.gb-statistics-list li a {
		display: block;
		color: #aaa;
		padding: 9px 12px;
		-webkit-transition: all ease .5s;
		transition: all ease .5s;
		position: relative;
		font-size: 12px;
	}
	.gb-statistics-list li {
		width: 50%;
		float: left;
		padding: 0;
		box-sizing: border-box;
		margin: 0;
		border-top: 1px solid #ececec;
		color: #aaa;
	}
	.gb-statistics-list li.gb-images-data {
		border-right: 1px solid #ececec;
	}
	.gb-statistics-list li.gb-albums-data {
		border-right: 1px solid #ececec;
	}
	.gb-statistics-list li a strong {
		font-size: 18px;
		line-height: 1.2em;
		font-weight: 400;
		display: block;
		color: #21759b;
	}
	.gb-statistics-list li a::before {
		font-family: WooCommerce;
		speak: none;
		font-weight: 400;
		font-variant: normal;
		text-transform: none;
		line-height: 1;
		-webkit-font-smoothing: antialiased;
		margin: 0;
		text-indent: 0;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		text-align: center;
		content: "";
		font-size: 2em;
		position: relative;
		width: auto;
		line-height: 1.2em;
		color: #464646;
		float: left;
		margin-right: 12px;
		margin-bottom: 12px;
	}
	.gb-statistics-list li.gb-images-data a::before {
		font-family: Dashicons;
		content: "\f128";
	}
	.gb-statistics-list li.gb-gallery-data a::before {
		font-family: Dashicons;
		content: "\f161";
	}
	.gb-statistics-list li.gb-albums-data a::before {
		font-family: Dashicons;
		content: "\f322";
	}
	.gb-statistics-list li.gb-tags-data a::before {
		font-family: Dashicons;
		content: "\f323";
	}

</style>
<ul class="gb-statistics-list">
	<li class="gb-images-data">
		<a href="admin.php?page=gallery_bank">
			<strong><?php echo get_count_of_data_gallery_bank( 'image_data' ); // WPCS: XSS ok. ?> <?php echo esc_attr( __( 'Images', 'gallery-bank' ) ); ?></strong>
		</a>
	</li>
	<li class="gb-gallery-data">
		<a href="admin.php?page=gallery_bank">
			<strong><?php echo get_count_of_data_gallery_bank( 'gallery_data' ); // WPCS: XSS ok. ?><?php echo esc_attr( __( 'Galleries', 'gallery-bank' ) ); ?></strong>
		</a>
	</li>
	<li class="gb-albums-data">
		<a href="admin.php?page=gb_manage_albums">
			<strong><?php echo get_count_of_data_gallery_bank( 'album_data' ); // WPCS: XSS ok. ?> <?php echo esc_attr( __( 'Albums', 'gallery-bank' ) ); ?></strong>
		</a>
	</li>
	<li class="gb-tags-data">
		<a href="admin.php?page=gb_manage_tags">
			<strong><?php echo get_count_of_data_gallery_bank( 'tag_data' ); // WPCS: XSS ok. ?> <?php echo esc_attr( __( 'Tags', 'gallery-bank' ) ); ?></strong>
		</a>
	</li>
</ul>
