<?php
/**
 * This file is used for common variables.
 *
 * @author  Tech Banker
 * @package gallery-bank/user-views/includes
 * @version 4.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
global $wpdb;
$layout_type           = str_replace( '&quot;', '', $layout_type );
$id                    = str_replace( '&quot;', '', $id );
$image_browser_height  = str_replace( '&quot;', '', $image_browser_height );
$image_browser_width   = str_replace( '&quot;', '', $image_browser_width );
$sort_images_by        = str_replace( '&quot;', '', $sort_images_by );
$sort_albums_by        = str_replace( '&quot;', '', $sort_albums_by );
$order_images_by       = str_replace( '&quot;', '', $order_images_by );
$order_albums_by       = str_replace( '&quot;', '', $order_albums_by );
$buttons_type          = str_replace( '&quot;', '', $buttons_type );
$gallery_title         = str_replace( '&quot;', '', $gallery_title );
$gallery_description   = str_replace( '&quot;', '', $gallery_description );
$thumbnail_title       = str_replace( '&quot;', '', $thumbnail_title );
$thumbnail_description = str_replace( '&quot;', '', $thumbnail_description );
$animation_effects     = str_replace( '&quot;', '', $animation_effects );
$special_effects       = str_replace( '&quot;', '', $special_effects );
$slideshow_width       = str_replace( '&quot;', '', $slideshow_width );
$auto_play             = str_replace( '&quot;', '', $auto_play );
$time_interval         = str_replace( '&quot;', '', $time_interval );
$play_pause_button     = str_replace( '&quot;', '', $play_pause_button );
$control_buttons       = str_replace( '&quot;', '', $control_buttons );
$slideshow_filmstrips  = str_replace( '&quot;', '', $slideshow_filmstrips );
$alignment             = str_replace( '&quot;', '', $alignment );
$lightbox_type         = str_replace( '&quot;', '', $lightbox_type );
$columns               = str_replace( '&quot;', '', $columns );
$next_previous_button  = str_replace( '&quot;', '', $next_previous_button );
$blog_image_width      = str_replace( '&quot;', '', $blog_image_width );
$row_height            = str_replace( '&quot;', '', $row_height );
$images_per_page       = str_replace( '&quot;', '', $images_per_page );
$filters               = str_replace( '&quot;', '', $filters );
$lazy_load             = str_replace( '&quot;', '', $lazy_load );
$search_box            = str_replace( '&quot;', '', $search_box );
$order_by              = str_replace( '&quot;', '', $order_by );
$page_navigation       = str_replace( '&quot;', '', $page_navigation );
$source_type           = str_replace( '&quot;', '', $source_type );
$random                = rand( 100, 10000 );

$global_options_settings = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'global_options_settings' );
$order_by_settings       = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'order_by_settings' );
$search_box_settings     = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'search_box_settings' );
$lazy_load_settings      = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'lazy_load_settings' );
$page_navigations_data   = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'page_navigation_settings' );
$custom_css              = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'custom_css' );
if ( isset( $page_navigation ) && 'enable' === $page_navigation ) {
	$pagination_margin           = isset( $page_navigations_data['page_navigation_margin'] ) ? explode( ',', $page_navigations_data['page_navigation_margin'] ) : '20,2,20,2';
	$pagination_padding          = isset( $page_navigations_data['page_navigation_padding'] ) ? explode( ',', $page_navigations_data['page_navigation_padding'] ) : '5,10,5,10';
	$pagination_border_style     = isset( $page_navigations_data['page_navigation_border_style'] ) ? explode( ',', $page_navigations_data['page_navigation_border_style'] ) : '1,solid,#000000';
	$pagination_font_style       = isset( $page_navigations_data['page_navigation_font_style'] ) ? explode( ',', $page_navigations_data['page_navigation_font_style'] ) : '14,#ffffff';
	$pagination_background_color = User_Helper_Gallery_Bank::hex2rgb_gallery_bank( $page_navigations_data['page_navigation_background_color'] );
}
if ( 'enable' === $filters || 'enable' === $search_box || 'enable' === $order_by ) {
	wp_enqueue_style( 'gallery-bank-icons.css', GALLERY_BANK_PLUGIN_DIR_URL . 'assets/global/plugins/icons/icons.css' );
}
if ( isset( $animation_effects ) ) {
	wp_enqueue_style( 'gallery-bank-animation-effects.css', GALLERY_BANK_PLUGIN_DIR_URL . 'user-views/assets/css/animation-effects/gb-animation-effects.css' );
	wp_enqueue_script( 'gallery-bank-scrolla.js', GALLERY_BANK_PLUGIN_DIR_URL . 'user-views/assets/js/scrolla.jquery.min.js' );
}
if ( 'enable' === $lazy_load ) {
	wp_enqueue_script( 'gallery-bank-lazy.js', GALLERY_BANK_PLUGIN_DIR_URL . 'user-views/assets/layouts/lazy-master/jquery.lazy.js' );
	?>
	<div class="gb-ajax-loader-div">
		<div id="preloader">
			<span></span>
			<span></span>
		</div>
	</div>
	<?php
}
