(function( $ ) {

	"use strict";

	var sFont;

	// Subnav Text color
	wp.customize( 'tc_subnav_text', function( value ) {
		value.bind( function( newval ) {
			$( '.subnav-item p' ).css( 'color', newval );
			$( '.subnav-item a' ).css( 'color', newval );
			$( '.subnav-item i' ).css( 'color', newval );
			$( '.subnav-item p span' ).css( 'color', newval );
		} );
	} );

	// Header Background color
	wp.customize( 'tc_header_bg', function( value ) {
		value.bind( function( newval ) {
			$( '#header' ).css( 'background-color', newval );
			$( '#header.header-light' ).css( 'background-color', newval );
		} );
	} );

	// Header Link color
	wp.customize( 'tc_header_link_color', function( value ) {
		value.bind( function( newval ) {
			$( '#mainmenu > li > a' ).css( 'color', newval );
			$( '#mainmenu > li.menu-item-has-children:after' ).css( 'color', newval );
			$( '#header.header-light #mainmenu > li > a' ).css( 'color', newval );
			$( '#header.header-light #mainmenu > li.menu-item-has-children:after' ).css( 'color', newval );
		} );
	} );

	// Header Link color Hover
	wp.customize( 'tc_header_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$( '#mainmenu > li > a:hover' ).css( 'color', newval );
			$( '#mainmenu > li.menu-item-has-children:hover:after' ).css( 'color', newval );
			$( '#header.header-light #mainmenu > li:hover > a' ).css( 'color', newval );
			$( '#header.header-light #mainmenu > li.menu-item-has-children:hover:after' ).css( 'color', newval );
		} );
	} );

	// Page Title Text color
	wp.customize( 'tc_interico_tca_text', function( value ) {
		value.bind( function( newval ) {
			$( '.page-title-box > h1' ).css( 'color', newval );
		} );
	} );

	// Page Title Text Background color
	wp.customize( 'tc_interico_tca_text_bg', function( value ) {
		value.bind( function( newval ) {
			$( '.page-title-box' ).css( 'background-color', newval );
		} );
	} );

	// Accent color
	wp.customize( 'tc_accent_color', function( value ) {
		value.bind( function( newval ) {
			$( '.page-content ul li:before' ).css( 'background-color', newval );
			$( '.tab-content ul li:before' ).css( 'background-color', newval );
			$( '.divider-light::before' ).css( 'background-color', newval );
			$( '.divider-dark::before' ).css( 'background-color', newval );
			$( '.read-more-dark::before' ).css( 'background-color', newval );
			$( '.read-more::before' ).css( 'background-color', newval );
			$( '.feature-box:hover > i' ).css( 'background-color', newval );
			$( '.gallery-categories ul li a.selected' ).css( 'background-color', newval );
			$( '.toggled' ).css( 'background-color', newval );
		} );
	} );

	// Primary Button Background color
	wp.customize( 'tc_primary_btn_bg', function( value ) {
		value.bind( function( newval ) {
			$( '.btn.btn-primary' ).css( 'background-color', newval );
			$( '.btn.btn-primary' ).css( 'border-color', newval );
			// $( 'input[type="submit"]' ).css( 'background-color', newval );
			// $( 'input[type="submit"]' ).css( 'border-color', newval );
		} );
	} );


	// Primary Button Background hover color
	wp.customize( 'tc_primary_btn_bg_hover', function( value ) {
		value.bind( function( newval ) {
			$( '.btn-primary:active:hover' ).css( 'background-color', newval );
			$( '.btn-primary:active:focus' ).css( 'background-color', newval );
			$( '.btn-primary:hover' ).css( 'background-color', newval );
			$( '.btn-primary:focus' ).css( 'background-color', newval );
			$( '.btn-primary:active' ).css( 'background-color', newval );
		} );
	} );

	// Primary Button Text color
	wp.customize( 'tc_primary_btn_text', function( value ) {
		value.bind( function( newval ) {
			$( '.btn-primary' ).css( 'color', newval );
		} );
	} );

	// Headings Text color (h1, h2, h3, h4, h5, h6)
	wp.customize( 'tc_headings_color', function( value ) {
		value.bind( function( newval ) {
			$( 'h1' ).css( 'color', newval );
			$( 'h2' ).css( 'color', newval );
			$( 'h3' ).css( 'color', newval );
			$( 'h4' ).css( 'color', newval );
			$( 'h5' ).css( 'color', newval );
			$( 'h6' ).css( 'color', newval );
		} );
	} );

	wp.customize( 'tc_header_shadow', function( value ) { 
		value.bind( function( newval ) {
			$( '#header' ).addClass( 'shadow' + '-' + newval );
		} );
	} );

	// Body Text color
	wp.customize( 'tc_body_text_color', function( value ) {
		value.bind( function( newval ) {
			$( 'body' ).css( 'color', newval );
		} );
	} );

	// Social Icon hover color
	wp.customize( 'tc_social_icon_hover_color', function( value ) {
		value.bind( function( newval ) {
			$( '.social i:hover' ).css( 'color', newval );
		} );
	} );

	// Social Icon Background hover color
	wp.customize( 'tc_social_icon_bg_hover_color', function( value ) {
		value.bind( function( newval ) {
			$( '.social i:hover' ).css( 'background-color', newval );
		} );
	} );

	// Widgets Styling: Gallery
	wp.customize( 'tc_gallery_active_text', function( value ) {
		value.bind( function( newval ) {
			$( '.gallery-categories ul li a.selected' ).css( 'color', newval );
		} );
	} );

	wp.customize( 'tc_gallery_active_bg', function( value ) {
		value.bind( function( newval ) {
			$( '.gallery-categories ul li a.selected' ).css( 'background-color', newval );
		} );
	} );

	wp.customize( 'tc_gallery_button_text', function( value ) {
		value.bind( function( newval ) {
			$( 'a.btn-all-projects' ).css( 'color', newval );
			$( '.btn-all-projects::after' ).css( 'color', newval );
			$( '.btn-all-projects:hover' ).css( 'color', newval );
		} );
	} );

	// Widgets Styling: Triple CTA
	wp.customize( 'tc_triple_cta_hover_text', function( value ) {
		value.bind( function( newval ) {
			$( '.section-item:hover > h2' ).css( 'color', newval );
			$( '.section-item:hover > h2:after' ).css( 'color', newval );
			$( '.sections.tcta-light .section-item:hover > h2' ).css( 'color', newval );
			$( '.sections.tcta-light .section-item:hover > h2:after' ).css( 'color', newval );
		} );
	} );

	wp.customize( 'tc_triple_cta_outter_background', function( value ) {
		value.bind( function( newval ) {
			$( '.sections' ).css( 'background-color:', newval );
			$( '.sections.tcta-light' ).css( 'background-color:', newval );
		} );
	} );

	// Widgets Styling: Feature Box
	wp.customize( 'tc_featured_box_icon_hover', function( value ) {
		value.bind( function( newval ) {
			$( '.feature-box:hover > i' ).css( 'color', newval );
		} );
	} );

	wp.customize( 'tc_featured_box_icon_hover_bg', function( value ) {
		value.bind( function( newval ) {
			$( '.feature-box:hover > i' ).css( 'background-color', newval );
		} );
	} );

	// Footer CTA Text hover color
	wp.customize( 'tc_footer_cta_text_color', function( value ) {
		value.bind( function( newval ) {
			$( 'a.cta-footer:hover' ).css( 'color', newval );
		} );
	} );

	// Footer CTA Text color
	wp.customize( 'tc_footer_cta_text_color_static', function( value ) {
		value.bind( function( newval ) {
			$( 'a.cta-footer' ).css( 'color', newval );
		} );
	} );

	// Footer CTA Background hover color
	wp.customize( 'tc_footer_cta_bg', function( value ) {
		value.bind( function( newval ) {
			$( 'a.cta-footer:hover' ).css( 'background-color', newval );
		} );
	} );

	// Footer CTA Background color
	wp.customize( 'tc_footer_cta_bg_static', function( value ) {
		value.bind( function( newval ) {
			$( 'a.cta-footer' ).css( 'background-color', newval );
		} );
	} );

	// Footer CTA Background color
	wp.customize( 'tc_footer_cta_border_static', function( value ) {
		value.bind( function( newval ) {
			$( 'a.cta-footer' ).css( 'border-top-color', newval );
		} );
	} );

	// Footer Title Text color
	wp.customize( 'tc_footer_title_color', function( value ) {
		value.bind( function( newval ) {
			$( 'footer h4.footer-header' ).css( 'color', newval );
		} );
	} );

	// Footer Text color
	wp.customize( 'tc_footer_text_color', function( value ) {
		value.bind( function( newval ) {
			$( '#footer' ).css( 'color', newval );
			$( 'footer a' ).css( 'color', newval );
			$( '#footer ul li a' ).css( 'color', newval );
			$( '#footer ul li' ).css( 'color', newval );
			$( 'ul.content-list a' ).css( 'color', newval );
		} );
	} );

	// Footer Text Hover color
	wp.customize( 'tc_footer_text_hover_color', function( value ) {
		value.bind( function( newval ) {
			$( '#footer a:hover' ).css( 'color', newval );
			$( '#footer ul li a:hover' ).css( 'color', newval );
			$( 'ul.content-list a:hover' ).css( 'color', newval );
			$( 'ul.content-list li:hover' ).css( 'color', newval );
			$( '#footer ul li:hover:before' ).css( 'color', newval );			
		} );
	} );

	// Footer Background color
	wp.customize( 'tc_footer_bg', function( value ) {
		value.bind( function( newval ) {
			$( '#footer' ).css( 'background-color', newval );
		} );
	} );

	// Footer Border color
	wp.customize( 'tc_footer_border', function( value ) {
		value.bind( function( newval ) {
			$( '#footer' ).css( 'border-top-color', newval );
		} );
	} );

	// Footer Background color
	wp.customize( 'tc_footer_bot_text', function( value ) {
		value.bind( function( newval ) {
			$( '#footer-bot' ).css( 'color', newval );
		} );
	} );

	// Footer Bot Background color
	wp.customize( 'tc_footer_bot_bg', function( value ) {
		value.bind( function( newval ) {
			$( '#footer-bot' ).css( 'background-color', newval );
		} );
	} );

	// Logo margin top
	wp.customize( 'tc_logo_top_mrg', function( value ) {
		value.bind( function( newval ) {
			$('#logo').css( 'margin-top', newval );
		} );
	} );	

	// Logo margin top
	wp.customize( 'tc_logo_top_mrg', function( value ) {
		value.bind( function( newval ) {
			$('#logo').css( 'margin-top', newval );
		} );
	} );


	wp.customize( 'tcx_link_color', function( value ) {
		value.bind( function( to ) {
			$( 'a' ).css( 'color', to );
		} );
	});

	wp.customize( 'tcx_display_header', function( value ) {
		value.bind( function( to ) {
			false === to ? $( '#header' ).hide() : $( '#header' ).show();
		} );
	});

	wp.customize( 'tcx_color_scheme', function( value ) {
		value.bind( function( to ) {

			if ( 'inverse' === to ) {

				$( 'body' ).css({
					background: '#000',
					color:      '#fff'
				});

			} else {

				$( 'body' ).css({
					background: '#fff',
					color:      '#000'
				});

			} // end if/else

		});
	});

	wp.customize( 'tcx_font', function( value ) {
		value.bind( function( to ) {

			switch( to.toString().toLowerCase() ) {

				case 'times':
					sFont = 'Times New Roman';
					break;

				case 'arial':
					sFont = 'Arial';
					break;

				case 'courier':
					sFont = 'Courier New, Courier';
					break;

				case 'helvetica':
					sFont = 'Helvetica';
					break;

				default:
					sFont = 'Times New Roman';
					break;

			} // end switch/case

			$( 'body' ).css({
				fontFamily: sFont
			});

		});

	});

	wp.customize( 'tcx_footer_copyright_text', function( value ) {
		value.bind( function( to ) {
			$( '#copyright-message' ).text( to );
		});
	});

	wp.customize( 'tc_footer_cta_text', function( value ) {
		value.bind( function( to ) {
			$( 'a.cta-footer h2' ).text( to );
		});
	});

	wp.customize( 'tcx_background_image', function( value ) {
		value.bind( function( to ) {

			0 === $.trim( to ).length ?
				$( 'body' ).css( 'background-image', '' ) :
				$( 'body' ).css( 'background-image', 'url( ' + to + ')' );

		});
	});

	wp.customize( 'tcx_example_file', function( value ) {
		value.bind( function( to ) {

			0 === $.trim( to ).length ?
				$( '#file-download' ).hide() :
				$( '#file-download' ).show();

		});
	});

})( jQuery );