<?php
add_action( 'vc_before_init', 'interico_integrateWithVC' );
function interico_integrateWithVC() {

	// Divider
	vc_map( 
		array(
			"name"		=> esc_html__( "Divider", "interico" ),
			"base"		=> "divider",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom color", "interico" ),
					"param_name"	=> "custom_color",
					"value"			=> "",
					"description"	=> __( "Enter custom color for the dashed divider.", "interico" )
				)
			)
		)
	);

	// Dash
	vc_map( 
		array(
			"name"		=> esc_html__( "Dash", "interico" ),
			"type"		=> "textfield",
			"base"		=> "dash",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color Scheme", "interico" ),
					"param_name"	=> "style",
					"value"			=> array(
						esc_html__( "Dark", "interico" )	=> "dark",
						esc_html__( "Gray", "interico" )	=> "gray",
						esc_html__( "Light", "interico" )	=> "light", 
					),
					"description"	=> __( "Use on dark or light background.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Layout", "interico" ),
					"param_name"	=> "layout",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "default",
						esc_html__( "Centered", "interico" )	=> "centered", 
					),
					"description"	=> __( "Default side alignment or centered", "interico" )
				)
			)
		)
	);

	// Subtitle
	vc_map( 
		array(
			"name"		=> esc_html__( "Subtitle", "interico" ),
			"type"		=> "textfield",
			"base"		=> "subtitle",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico"),
					"param_name"	=> "content",
					"value"			=> "Subtitle",
					"description"	=> esc_html__( "Content", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color Scheme", "interico" ),
					"param_name"	=> "style",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "dark",
						esc_html__( "Gray Dash", "interico" )	=> "gray",
						esc_html__( "Light", "interico" )	=> "light",
					),
					"description" 	=> __( "Use on dark or light background.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Dash", "interico" ),
					"param_name"	=> "dash",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "true",
						esc_html__( "No dash", "interico" )	=> "false", 
					),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Alignment", "interico" ),
					"param_name"	=> "alignment",
					"value"			=> array(
						esc_html__( "None", "interico" )	=> "default",
						esc_html__( "Left", "interico" )	=> "left",
						esc_html__( "Center", "interico" )	=> "center",
						esc_html__( "Right", "interico" )	=> "right", 
					),
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom color", "interico"),
					"param_name"	=> "custom_color"
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				)
			)
		)
	);

	// Caps
	vc_map( 
		array(
			"name"			=> esc_html__( "Caps", "interico" ),
			"base"			=> "caps",
			"holder"		=> "div",
			"class" 		=> "",
			"heading"		=> esc_html__( "Content", "interico" ),
			"type"			=> "textfield",
			"description"	=> __( "Display Caps character.", "interico" ),
			"params"		=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "content",
					"value"			=> "C",
				),
			),
		)
	);

	// Linearicon
	vc_map( 
		array(
			"name"			=> esc_html__( "Linear icon", "interico" ),
			"base"			=> "lnr",
			"holder"		=> "div",
			"class" 		=> "",
			"heading"		=> esc_html__( "Content", "interico" ),
			"type"			=> "textfield",
			"description"	=> esc_html__( "Display Linear icon.", "interico" ),
			"params"		=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "content",
					"value"			=> "lnr-home",
					"description"	=> esc_html__( "Example: lnr-home | Library: https://linearicons.com/free", "interico" )

				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Size", "interico" ),
					"param_name"	=> "size",
					"value"			=> "36",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color", "interico" ),
					"param_name"	=> "color",
					"value"			=> "#888888",
				),
			),
		)
	);

	// FontAwesome icon
	vc_map( 
		array(
			"name"			=> esc_html__( "FontAwesome icon", "interico" ),
			"base"			=> "fa",
			"holder"		=> "div",
			"class" 		=> "",
			"heading"		=> esc_html__( "Content", "interico" ),
			"type"			=> "textfield",
			"description"	=> esc_html__( "Display FontAwesome icon.", "interico" ),
			"params"		=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "content",
					"value"			=> "fa-home",
					"description"	=> esc_html__( "Example: fa-home | Library: https://linearicons.com/free", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Size", "interico" ),
					"param_name"	=> "size",
					"value"			=> "36",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color", "interico" ),
					"param_name"	=> "color",
					"value"			=> "#888888",
				),
			),
		)
	);

	// Button
	vc_map( 
		array(
			"name"		=> esc_html__( "Button", "interico" ),
			"type"		=> "textfield",
			"base"		=> "button",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "content",
					"value"			=> esc_html__( "Button", "interico" ),
					"description"	=> esc_html__( "Content", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "link",
					"value"			=> ""
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style", "interico" ),
					"param_name"	=> "style",
					"value"			=> array(
						esc_html__( "Primary", "interico" )	=> "primary",
						esc_html__( "Regular", "interico" )	=> "regular",
					),
					"description" 	=> esc_html__( "Primary or regular button style.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Arrow", "interico" ),
					"param_name"	=> "arrow",
					"value"			=> array(
						esc_html__( "Side", "interico" )	=> "right",
						esc_html__( "None", "interico" )	=> "none",
					),
					"description" 	=> esc_html__( "Display or hide the arrow.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Target", "interico" ),
					"param_name"	=> "target",
					"value"			=> array(
						esc_html__( "Open in same window", "interico" )	=> "",
						esc_html__( "Open in new window", "interico" )	=> "_blank",
					),
					"description" 	=> esc_html__( "Primary or regular button style.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Alignment", "interico" ),
					"param_name"	=> "alignment",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "default",
						esc_html__( "Left", "interico" )	=> "left",
						esc_html__( "Center", "interico" )	=> "center",
						esc_html__( "Right", "interico" )	=> "right",
					),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Width", "interico" ),
					"param_name"	=> "width",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "default",
						esc_html__( "Fullwidth", "interico" )	=> "fullwidth",
					),
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				),
			)
		)
	);

	// Video Button
	vc_map( 
		array(
			"name"		=> esc_html__( "Video Button", "interico" ),
			"type"		=> "textfield",
			"base"		=> "video_button",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "content",
					"value"			=> esc_html__( "Button", "interico" ),
					"description"	=> esc_html__( "Content", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "link",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://www.youtube.com/embed/VIDEO_ID?autoplay=1", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style", "interico" ),
					"param_name"	=> "style",
					"value"			=> array(
						esc_html__( "Primary", "interico" )	=> "primary",
						esc_html__( "Regular", "interico" )	=> "regular",
					),
					"description" 	=> __( "Primary or regular button style.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Alignment", "interico" ),
					"param_name"	=> "alignment",
					"value"			=> array(
						esc_html__( "Default", "interico" )	=> "default",
						esc_html__( "Left", "interico" )	=> "left",
						esc_html__( "Center", "interico" )	=> "center",
						esc_html__( "Right", "interico" )	=> "right",
					),
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "iframe Width", "interico" ),
					"param_name"	=> "iframe_width",
					"value"			=> "960",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "iframe Height", "interico" ),
					"param_name"	=> "iframe_height",
					"value"			=> "540",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				),
			)
		)
	);

	// Video Image
	vc_map( 
		array(
			"name"		=> esc_html__( "Video Image", "interico" ),
			"type"		=> "textfield",
			"base"		=> "video_image",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "link",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://www.youtube.com/embed/VIDEO_ID?autoplay=1", "interico" )
				),
				array(
					"type"			=> "attach_image",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Image", "interico" ),
					"param_name"	=> "image",
					"value"			=> "",
					"description"	=> esc_html__( "Upload Image", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Title (Alt)", "interico" ),
					"param_name"	=> "title",
					"value"			=> "",
					"description"	=> esc_html__( "Enter image title", "interico" ),
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "iframe Width", "interico" ),
					"param_name"	=> "iframe_width",
					"value"			=> "960",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "iframe Height", "interico" ),
					"param_name"	=> "iframe_height",
					"value"			=> "540",
				),
			)
		)
	);

	// Feature box
	vc_map( 
		array(
			"name"		=> esc_html__( "Feature Box", "interico" ),
			"type"		=> "textfield",
			"base"		=> "feature_box",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style", "interico" ),
					"param_name"	=> "icon_box_style",
					"value"			=> array(
						esc_html__( "Style 1: Default", "interico" )	=> "default",
						esc_html__( "Style 2: Hovered", "interico" )	=> "hovered",
						esc_html__( "Style 3: Unboxed", "interico" )	=> "unboxed",
					),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color Scheme", "interico" ),
					"param_name"	=> "feaure_box_color",
					"value"			=> array(
						esc_html__( "Style 1: Light", "interico" )	=> "default",
						esc_html__( "Style 2: Dark", "interico" )	=> "dark",
					),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Layout", "interico" ),
					"param_name"	=> "icon_layout",
					"value"			=> array(
						esc_html__( "Icon Left", "interico" )	=> "large-left",
						esc_html__( "Icon Top Left", "interico" )	=> "top-left",
						esc_html__( "Icon Top Centered", "interico" )	=> "top-centered",
						esc_html__( "Icon and Title Only", "interico" )	=> "title-only",
						esc_html__( "Icon and Title Only, Slim", "interico" )	=> "title-only slim",
					),
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "feature_title",
					"description"	=> esc_html__( "Enter feature heading", "interico" ),
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "feature_text",
					"description"	=> esc_html__( "Enter feature content", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Linear icon", "interico" ),
					"param_name"	=> "linear_icon",
					"value"			=> "",
					"description" 	=> esc_html__( "Example: lnr-home | Library: https://linearicons.com/free", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "FontAwesome icon", "interico" ),
					"param_name"	=> "feature_icon",
					"value"			=> "",
					"description" 	=> esc_html__( "Example: fa-home | Library: https://fontawesome.com/v4.7.0/icons/", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "feature_link", 
					"value"			=> ""
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "feature_link_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Read More", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Bottom Spacing", "interico" ),
					"param_name"	=> "bot_mrg",
					"value"			=> array(
						esc_html__( "30 px", "interico" )	=> "30",
						esc_html__( "1 px", "interico" )	=> "1",
						esc_html__( "0 px", "interico" )	=> "0",
					),
					"description" 	=> esc_html__( "Select bottom spacing.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Bottom Spacing Mobile", "interico" ),
					"param_name"	=> "bot_mrg_mobile",
					"value"			=> array(
						esc_html__( "30 px", "interico" )	=> "30",
						esc_html__( "1 px", "interico" )	=> "1",
						esc_html__( "0 px", "interico" )	=> "0",
					),
					"description" 	=> esc_html__( "Select bottom spacing.", "interico" )
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Background Color", "interico" ),
					"param_name"	=> "custom_color",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Icon Color", "interico" ),
					"param_name"	=> "custom_icon_color",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Heading Color", "interico" ),
					"param_name"	=> "custom_heading_color",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Text Color", "interico" ),
					"param_name"	=> "custom_text_color",
				),
				array(
					"type"			=> "colorpicker",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Link Color", "interico" ),
					"param_name"	=> "custom_link_color",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				)
			)
		)
	);

	// Testimonial box
	vc_map( 
		array(
			"name"		=> esc_html__( "Testimonial Box", "interico" ),
			"type"		=> "textfield",
			"base"		=> "testimonial_box",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Testimonial page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description" 	=> esc_html__( "Enter testimonial post ID", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color Scheme", "interico" ),
					"param_name"	=> "testimonials_style",
					"value"			=> array(
						esc_html__( "Dark", "interico" )	=> "dark",
						esc_html__( "Light", "interico" )	=> "light",
					),
					"description" 	=> __( "Select default or light style.", "interico" ),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Layout", "interico" ),
					"param_name"	=> "testimonial_layout",
					"value"			=> array(
						esc_html__( "Profile Left", "interico" )			  => "left",
						esc_html__( "Profile Bottom Left, Text only", "interico" )		  => "bottom-left",
						esc_html__( "Profile Bottom Center", "interico" )			  => "bottom",
						esc_html__( "Profile Bottom Overlapped", "interico" ) => "bottom-overlapped",
					),
					"description" 	=> esc_html__( "Select testimonial layout.", "interico" ),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Bottom Spacing", "interico" ),
					"param_name"	=> "bot_mrg",
					"value"			=> array(
						esc_html__( "30 px", "interico" )	=> "30",
						esc_html__( "0 px", "interico" )	=> "0",
					),
					"description" 	=> esc_html__( "Select bottom spacing.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				),

			)
		)
	);

	// Number box
	vc_map( 
		array(
			"name"		=> esc_html__( "Number Box", "interico" ),
			"type"		=> "textfield",
			"base"		=> "number_box",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style & Color Scheme", "interico" ),
					"param_name"	=> "number_box_style",
					"value"			=> array(
						esc_html__( "Style 1 (Light)", "interico" )	=> "default",
						esc_html__( "Style 1 (Dark)", "interico" )	=> "default dark",
						esc_html__( "Style 2 (Light)", "interico" )	=> "dark",
						esc_html__( "Style 2 (Dark)", "interico" )	=> "dark dark",
					),
					"description" 	=> esc_html__( "Select Number box style.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Number", "interico" ),
					"param_name"	=> "number_box_number",
					"description"	=> esc_html__( "Example: 01", "interico" )
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "number_box_title",
					"value"			=> "",
					"description"	=> esc_html__( "Enter heading", "interico" )
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "number_box_content",
					"value"			=> "",
					"description"	=> esc_html__( "Enter feature content", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "number_link",
					"value"			=> ""
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "number_link_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Read More", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Bottom Spacing", "interico" ),
					"param_name"	=> "bot_mrg",
					"value"			=> array(
						esc_html__( "30 px", "interico" )	=> "30",
						esc_html__( "0 px", "interico" )	=> "0",
					),
					"description" 	=> esc_html__( "Select bottom spacing.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				),
			)
		)
	);

	// Team member
	vc_map( 
		array(
			"name"		=> esc_html__( "Team Member", "interico" ),
			"type"		=> "textfield",
			"base"		=> "team_member",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Color Scheme", "interico" ),
					"param_name"	=> "team_member_style",
					"value"			=> array(
						esc_html__( "Style 1: Light", "interico" )	=> "default",
						esc_html__( "Style 2: Dark", "interico" )	=> "dark",
					),
					"description" 	=> esc_html__( "Select Number box style.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "member_title",
					"value"			=> "Name",
					"description"	=> esc_html__( "Example: Name Surname", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Position", "interico" ),
					"param_name"	=> "member_position",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Manager", "interico" )
				),
				array(
					"type"			=> "attach_image",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Image", "interico" ),
					"param_name"	=> "image",
					"value"			=> "",
					"description"	=> esc_html__( "Recommended size: 480 x 540", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Contact Label 1", "interico" ),
					"param_name"	=> "member_phone_label",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Phone", "interico" )
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Contact Field 1", "interico" ),
					"param_name"	=> "member_phone",
					"value"			=> "",
					"description"	=> esc_html__( "Example: +1 (378) 400-1234", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Contact Label 2", "interico" ),
					"param_name"	=> "member_bio_label",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Email", "interico" )
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Contact Field 2", "interico" ),
					"param_name"	=> "member_bio",
					"value"			=> "",
					"description"	=> esc_html__( "Example: email@email.com", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 1", "interico" ),
					"param_name"	=> "member_icon_1",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 1 Link", "interico" ),
					"param_name"	=> "member_icon_link_1",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 2", "interico" ),
					"param_name"	=> "member_icon_2",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 2 Link", "interico" ),
					"param_name"	=> "member_icon_link_2",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 3", "interico" ),
					"param_name"	=> "member_icon_3",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 3 Link", "interico" ),
					"param_name"	=> "member_icon_link_3",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 4", "interico" ),
					"param_name"	=> "member_icon_4",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Social Icon 4 Link", "interico" ),
					"param_name"	=> "member_icon_link_4",
					"value"			=> "",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				)
			)
		)
	);

	// Image Box
	vc_map( 
		array(
			"name"		=> esc_html__( "Image Box", "interico" ),
			"type"		=> "textfield",
			"base"		=> "image_box",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description"	=> esc_html__( "Enter Page ID to retrieve title, featured image & content values directly from the page", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style", "interico" ),
					"param_name"	=> "image_box_style",
					"value"			=> array(
						esc_html__( "Style 1: Dark", "interico" )	=> "dark",
						esc_html__( "Style 2: Gray", "interico" )	=> "default",
						esc_html__( "Style 3: White with shadow", "interico" )	=> "white",
					),
					"description"	=> esc_html__( "Select Image Box style", "interico" )
				),
				array(
					"type"			=> "attach_image",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Image", "interico" ),
					"param_name"	=> "image_box_image",
					"value"			=> "",
					"description"	=> esc_html__( "Recommended size: 360 x 500", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Custom Heading", "interico" ),
					"param_name"	=> "image_box_title",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Interior Design", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Side content", "interico" ),
					"value"			=> "",
					"param_name"	=> "image_box_number",
					"description"	=> esc_html__( "Example: 01", "interico" )
				),
				array(
					"type"			=> "textarea",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content", "interico" ),
					"param_name"	=> "image_box_content",
					"value"			=> "",
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Show or Hide link", "interico" ),
					"param_name"	=> "show_link",
					"value"			=> array(
						esc_html__( "Hide", "interico" )	=> "hide",
						esc_html__( "Show", "interico" )	=> "show",
					),
					"description"	=> esc_html__( "Show or hide the 'Read More' link.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "image_box_link_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Read More", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "image_box_url",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://...", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Content Alignment", "interico" ),
					"param_name"	=> "image_box_alignment",
					"value"			=> array(
						esc_html__( "Centered", "interico" )	=> "centered",
						esc_html__( "Sided", "interico" )	=> "default",
					),
					"description"	=> esc_html__( "Select Image Box Content Alignment", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Bottom Spacing", "interico" ),
					"param_name"	=> "bot_mrg",
					"value"			=> array(
						esc_html__( "30 px", "interico" )	=> "30",
						esc_html__( "0 px", "interico" )	=> "0",
					),
					"description" 	=> esc_html__( "Select bottom spacing.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				),

			)
		)
	);

	// Blog Posts
	vc_map( 
		array(
			"name"		=> esc_html__( "Blog Posts", "interico" ),
			"type"		=> "textfield",
			"base"		=> "blog_posts",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading & Link Style", "interico" ),
					"param_name"	=> "blog_heading_style",
					"value"			=> array(
						esc_html__( "Style 1: Light", "interico" )	=> "light",
						esc_html__( "Style 2: Dark", "interico" )	=> "dark",
					),
					"description" 	=> esc_html__( "Select Heading & link style.", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Blog Post Box Style", "interico" ),
					"param_name"	=> "blog_post_style",
					"value"			=> array(
						esc_html__( "Style 1: Light", "interico" )	=> "default",
						esc_html__( "Style 2: Dark", "interico" )	=> "dark",
					),
					"description" 	=> esc_html__( "Select Blog Post box style.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description"	=> esc_html__( "Set destination for the 'All Articles' link", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "title",
					"description"	=> esc_html__( "Example: Latest News", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "blog_button_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: All Articles", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "blog_button_url",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://...", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Article Link Text", "interico" ),
					"param_name"	=> "blog_read_more_string",
					"value"			=> esc_html__( "Read More", "interico" ),
					"description"	=> esc_html__( "Example: Read More", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Filter by Category", "interico" ),
					"param_name"	=> "categories",
					"value"			=> "",
					"description"	=> esc_html__( "Select Image Box Content Alignment", "interico" )
				),
			)
		)
	);

	// Blog Posts Loop
	vc_map( 
		array(
			"name"		=> esc_html__( "Blog Posts Loop", "interico" ),
			"type"		=> "textfield",
			"base"		=> "posts_loop",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Style", "interico" ),
					"param_name"	=> "blog_post_style",
					"value"			=> array(
						esc_html__( "Style 1: Light", "interico" )	=> "light",
						esc_html__( "Style 2: Dark", "interico" )	=> "dark",
					),
					"description" 	=> esc_html__( "Select Blog Post box style.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Article Link Text", "interico" ),
					"param_name"	=> "blog_read_more_string",
					"value"			=> "",
					"description"	=> esc_html__( "Example: Read More", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Filter by Category", "interico" ),
					"param_name"	=> "categories",
					"value"			=> "",
					"description"	=> esc_html__( "Enter category slug", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Posts Count", "interico" ),
					"param_name"	=> "posts_per_page",
					"value"			=> "",
					"description"	=> esc_html__( "Enter number of Posts", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Column Count", "interico" ),
					"param_name"	=> "columns_count",
					"value"			=> array(
						esc_html__( "4", "interico" )	=> "4",
						esc_html__( "3", "interico" )	=> "3",
						esc_html__( "2", "interico" )	=> "2",
						esc_html__( "1", "interico" )	=> "1",
					),
					"std"         	=> "3",
					"description"	=> esc_html__( "Enter number of Columns", "interico" )
				)
			)
		)
	);

	// Testimonials
	vc_map( 
		array(
			"name"		=> esc_html__( "Testimonials Slider", "interico" ),
			"type"		=> "textfield",
			"base"		=> "testimonials",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading & Arrows Style", "interico" ),
					"param_name"	=> "testimonial_heading_style",
					"value"			=> array(
						esc_html__( "Style 1: Dark", "interico" )	=> "dark",
						esc_html__( "Style 2: Light", "interico" )	=> "light",

					),
					"description" 	=> esc_html__( "Select Heading & arrows style.", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description"	=> esc_html__( "Set destination for the 'All Articles' link", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "title",
					"description"	=> esc_html__( "Example: Latest News", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "testimonials_button_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: All Articles", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "testimonials_button_url",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://...", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Testimonial Item Style", "interico" ),
					"param_name"	=> "testimonials_style",
					"value"			=> array( 
						esc_html__( "Dark", "interico" )	=> "dark",
						esc_html__( "Light", "interico" )	=> "light",
					),
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Testimonial Item Layout", "interico" ),
					"param_name"	=> "testimonial_layout",
					"value"			=> array( 
						esc_html__( "Profile Left", "interico" )					 => "left",
						esc_html__( "Profile Bottom Left, no Image", "interico" )	 => "bottom",
						esc_html__( "Profile Bottom Center", "interico" )			 => "bottom-centered",
						esc_html__( "Profile Bottom Center Overlapped", "interico" ) => "bottom-overlapped",
					)
				)
			)
		)
	);

	// Projects
	vc_map( 
		array(
			"name"		=> esc_html__( "Projects", "interico" ),
			"type"		=> "textfield",
			"base"		=> "projects",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Layout & Style", "interico" ),
					"param_name"	=> "gallery_style",
					"value"			=> array( 
						esc_html__( "Style 1: Wide layout, Fluid items", "interico" )	 => "style-1",
						esc_html__( "Style 2: Boxed layout, Spaced items", "interico" )	 => "style-2",
						esc_html__( "Style 3: Boxed layout, Cards", "interico" )		 => "style-3",
						esc_html__( "Style 4: Boxed layout, Cards V2", "interico" )		 => "style-4",
						esc_html__( "Style 5: Wide layout, Vertical items", "interico" ) => "style-5",
						esc_html__( "Style 6: Wide layout, Spaced items", "interico" )	 => "style-6",
						esc_html__( "Style 7: Wide layout, Cards", "interico" )			 => "style-7",
						esc_html__( "Style 8: Wide layout, Cards V2", "interico" )		 => "style-8",
						esc_html__( "Style 9: Wide layout, Spaced Vertical items", "interico" )		 => "style-9",
					)
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Show Gallery Filters", "interico" ),
					"param_name"	=> "show_gallery_filters",
					"value"			=> array( 
						esc_html__( "Yes", "interico" )	 => "yes",
						esc_html__( "No", "interico" )	 => "no",
					)
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description"	=> esc_html__( "Set destination for the 'All Projects' link", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "title",
					"description"	=> esc_html__( "Example: Latest Projects", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "gallery_button_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: All Projects", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "gallery_button_url",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://...", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Columns Count", "interico" ),
					"param_name"	=> "gallery_columns_count",
					"value"			=> array( 
						esc_html__( "2 Columns", "interico" )	=> "2",
						esc_html__( "3 Columns", "interico" )	=> "3",
						esc_html__( "4 Columns", "interico" )	=> "4",
					),
					"std"         	=> "3",
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Rows Count", "interico" ),
					"param_name"	=> "gallery_rows_count",
					"value"			=> "1",
					"description"	=> esc_html__( "Example: 3. If empty, loads all items", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Color Scheme", "interico" ),
					"param_name"	=> "gallery_color_scheme",
					"value"			=> array( 
						esc_html__( "Dark", "interico" )	=> "dark",
						esc_html__( "Light", "interico" )	=> "light",
					),
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Filtery by category", "interico" ),
					"param_name"	=> "category",
					"value"			=> "",
					"description"	=> esc_html__( "Enter category slug", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Image Size (Optional)", "interico" ),
					"param_name"	=> "image_size",
					"value"			=> array( 
						esc_html__( "Default", "interico" )	=> "default",
						esc_html__( "Vertical", "interico" )	=> "vertical",
					),
					"description"	=> esc_html__( "Use vertical image size instead of horizontal", "interico" )
				),			
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Background", "interico" ),
					"param_name"	=> "transparent_bg",
					"value"			=> array( 
						esc_html__( "Use Default Background", "interico" )	=> "default",
						esc_html__( "Transparent Background", "interico" )	=> "transparent",
					),
					"description"	=> esc_html__( "Use default background, or make it transparent to set custom color", "interico" )
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Item Order", "interico" ),
					"param_name"	=> "orderby",
					"value"			=> array( 
						esc_html__( "Default", "interico" )	=> "none",
						esc_html__( "Random", "interico" )	=> "rand",
					),
				),	
			)
		)
	);

	// Projects Slider
	vc_map( 
		array(
			"name"		=> esc_html__( "Projects Slider", "interico" ),
			"type"		=> "textfield",
			"base"		=> "projects_slider",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Page ID", "interico" ),
					"param_name"	=> "page_id",
					"value"			=> "",
					"description"	=> esc_html__( "Set destination for the 'All Projects' link", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Heading", "interico" ),
					"param_name"	=> "title",
					"description"	=> esc_html__( "Example: Latest Projects", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link Text", "interico" ),
					"param_name"	=> "gallery_button_text",
					"value"			=> "",
					"description"	=> esc_html__( "Example: All Projects", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link", "interico" ),
					"param_name"	=> "gallery_button_url",
					"value"			=> "",
					"description"	=> esc_html__( "Example: https://...", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Items Count", "interico" ),
					"param_name"	=> "gallery_items_count",
					"value"			=> "3",
					"value"			=> ""
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Gallery Captions Style", "interico" ),
					"param_name"	=> "gallery_captions_style",
					"value"			=> "bottom",
					"value"			=> array( 
						esc_html__( "Style 1: Captions Middle", "interico" )	 => "default",
						esc_html__( "Style 2: Captions Bottom", "interico" )	 => "bottom",
					)
				),
			)
		)
	);

	// Google Map
	vc_map( 
		array(
			"name"		=> esc_html__( "Advanced Google Map", "interico" ),
			"type"		=> "textfield",
			"base"		=> "googlemap",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Map Height", "interico" ),
					"param_name"	=> "height",
					"value"			=> "400",
					"description"	=> esc_html__( "Set height for the map. Example: 400", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Latitude", "interico" ),
					"param_name"	=> "lat",
					"description"	=> esc_html__( "Enter Latitude. Find it on Google Maps or https://www.latlong.net/", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Longtitude", "interico" ),
					"param_name"	=> "long",
					"description"	=> esc_html__( "Enter Latitude. Find it on Google Maps or https://www.latlong.net/", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Zoom level", "interico" ),
					"param_name"	=> "zoom",
					"description"	=> esc_html__( "Enter zoom level. Example: 15", "interico" )
				),
				array(
					"type"			=> "attach_image",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Marker", "interico" ),
					"param_name"	=> "marker",
					"value"			=> "",
					"description"	=> esc_html__( "Upload Image", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "API Key (required)", "interico" ),
					"param_name"	=> "apikey",
					"description"	=> esc_html__( "Generate Google API key: https://developers.google.com/maps/documentation/javascript/get-api-key", "interico" )
				)
				
			)
		)
	);

	// Tooltip Image
	vc_map( 
		array(
			"name"		=> esc_html__( "Tooltip Image", "interico" ),
			"type"		=> "textfield",
			"base"		=> "tooltip",
			"holder"	=> "div",
			"class" 	=> "",
			"params"	=> array(
				array(
					"type"			=> "attach_image",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Image", "interico" ),
					"param_name"	=> "image",
					"value"			=> "",
					"description"	=> esc_html__( "Upload Image", "interico" )
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Tooltip Content", "interico" ),
					"param_name"	=> "title",
					"value"			=> ""
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Alignment ", "interico" ),
					"param_name"	=> "alignment",
					"value"			=> array( 
						esc_html__( "Center", "interico" )	 => "aligncenter",
						esc_html__( "Left", "interico" )	 => "alignleft",
						esc_html__( "Right", "interico" )	 => "alignright",
					)
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link (optional)", "interico" ),
					"param_name"	=> "link",
					"value"			=> ""
				),
				array(
					"type"			=> "dropdown",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Link target (Optional)", "interico" ),
					"param_name"	=> "target",
					"value"			=> array(
						esc_html__( "Default", "interico" )	 => "none",
						esc_html__( "Same Window", "interico" )	 => "_self",
						esc_html__( "New window", "interico" )	 => "_blank",
					)
				),
				array(
					"type"			=> "textfield",
					"holder"		=> "div",
					"class"			=> "",
					"heading"		=> esc_html__( "Extra class", "interico" ),
					"param_name"	=> "class",
					"value"			=> ""
				)
			)
		)
	);



}

?>