<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Interico
 */

get_header();
get_template_part( 'template-parts/top-content-area' );
?>

	<!-- Begin Content -->
	<div class="content">
		<div class="container">
			<div class="row">

				<!-- Begin page content -->
				<main class="col-xs-12 col-md-12">

				<?php
				if ( have_posts() ) : ?>

					<header class="search-page-header">
						<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'interico' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );

					endwhile;

					the_posts_navigation();

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>

				</main>

		</div> <!-- End row -->
		</div> <!-- End container -->
	</div> <!-- End Content -->

<?php
get_footer();