<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Interico
 */

if ( class_exists( 'acf' ) ) {
	$layout = get_field( 'post_layout' );
} else {
	$layout = 'standard';
}


?>

<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'content-box', 'blog-post' ) ); ?>>
	<?php if ( $layout === 'standard' ) :
		if ( has_post_thumbnail() ) :
			the_post_thumbnail();
		endif;
	endif; ?>

	<div class="entry-content">
		<div class="entry-meta post-info">
			<?php interico_posted_on(); ?> <?php interico_entry_footer(); ?>
		</div><!-- .entry-meta -->
		<header class="entry-header">
			<?php
			if ( is_single() ) :
				the_title( '<h1 class="entry-title post-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif; ?>
		</header>
		<!-- .entry-header -->
		<?php if ( 'post' === get_post_type() ) : ?>
		<?php endif; ?>
		<div class="divider-light"></div>
			<?php the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Read More', 'interico' ), array( 'span' => array( 'class' => array() ) ) )
			) );

			
		?>
		
	</div><!-- .entry-content -->

	
</article><!-- #post-## -->
