<!-- Begin Fullwidth slider -->

		<?php 
			$slide_interval = get_field( 'slide_interval' );
			$slider_transition_animation = get_field( 'slider_transition_animation' );
			$slider_layout_style = get_field( 'slider_layout_style' );
			$my_slides = get_field_object( 'slide' );
			$total_slides = ( count( $my_slides['value'] ) );
			$show_grid_lines = get_field( 'show_grid_lines' );
			$show_slide_indicators = get_field( 'show_slide_indicators' );
			$show_dotted_indicators = get_field( 'show_dotted_indicators' );
			$indicators_bottom_position = get_field ( 'indicators_bottom_position' );
		?>

		<div id="slider-fullwidth" class="carousel slider-<?php echo esc_attr( $slider_layout_style ); ?> slide<?php echo 'fade' === $slider_transition_animation ? ' carousel-fade' : ''; ?>" data-ride="carousel" data-interval="<?php echo esc_attr( $slide_interval ); ?>" >

	    	<!-- Carousel items -->
		    <div class="carousel-inner">

		    <?php 
		        $i = -1;
		        while ( have_rows( 'slide' ) ) : the_row();
		            $i++;

		            $slide_number = $i + 1;
		            
		            // Get the url for the img src
		            $slide_image = wp_get_attachment_image_src( get_sub_field( 'slide_image' ), 'interico-slider-desktop' );
		            // Get mobile image
		            $slide_image_mobile = wp_get_attachment_image_src( get_sub_field( 'slide_image_mobile'), 'full' );

		            if ( empty( $slide_image_mobile ) ) {
		            	$slide_image_mobile = $slide_image;
		            }


		            // Get Overlay color and opacity values
			        $overlay_color = get_sub_field( 'slide_overlay_color' );
			        $overlay_opacity = get_sub_field( 'slide_overlay_opacity' );
			        if ( $overlay_opacity ) {
			        	$overlay_opacity = $overlay_opacity/100;
			        }

			        $slider_headline_font_size = get_sub_field( 'slider_headline_font_size' );
			        $slide_text_color = get_sub_field( 'slide_text_color' );

			        if ( !isset( $slide_text_color) ) {
			        	$slide_text_color = 'light';
			        }

			        $slide_content_animation = get_sub_field( 'slide_animation_style' );
			        if ( 'style-1' === $slide_content_animation ) {
			        	if ( 'small' === $slider_headline_font_size ) {
			        		$slide_subtitle_animation = 'fadeInDownBig';
			        		$slide_headline_animation = 'fadeInDownBig';
			        		$slide_tagline_animation = 'fadeInUpBig';
			        		$slide_buttons_animation = 'fadeInUpBig';
			        	} else {
				        	$slide_subtitle_animation = 'fadeInDown';
				        	$slide_headline_animation = 'fadeInDown';
				        	$slide_tagline_animation = 'fadeInUp';
				        	$slide_buttons_animation = 'fadeInUp';
			        	}
			        } elseif ( 'style-2' === $slide_content_animation ) {
			        	$slide_subtitle_animation = 'fadeInLeft';
			        	$slide_headline_animation = 'fadeInLeft';
			        	$slide_tagline_animation = 'fadeInLeft';
			        	$slide_buttons_animation = 'fadeInLeft';
			        } elseif ( 'style-3' === $slide_content_animation ) {
			        	$slide_subtitle_animation = 'fadeInLeft';
			        	$slide_headline_animation = 'fadeInRight';
			        	$slide_tagline_animation = 'fadeInUp';
			        	$slide_buttons_animation = 'fadeInUp';
			        } elseif ( 'style-4' === $slide_content_animation ) {
			        	$slide_subtitle_animation = 'fadeInIn';
			        	$slide_headline_animation = 'fadeIn';
			        	$slide_tagline_animation = 'fadeIn';
			        	$slide_buttons_animation = 'fadeIn';
			        } else {
			        	$slide_subtitle_animation = 'fadeInDown';
			        	$slide_headline_animation = 'fadeInDown';
			        	$slide_tagline_animation = 'fadeInUp';
			        	$slide_buttons_animation = 'fadeInUp';
			        }

		        ?>

		    	<!-- Carousel item begin -->
		       	<div class="item <?php echo 0 === $i ? 'active' : ''; ?>" style="background-color: <?php echo esc_attr($overlay_color); ?>">
		       		<?php if ( class_exists('acf') && $overlay_opacity && $overlay_color && 'style-4' !== $slider_layout_style ) : ?>
		       			<div class="overlay" style="opacity: <?php echo esc_attr( $overlay_opacity ); ?>; background-color: <?php echo esc_attr( $overlay_color ); ?>"></div>
		       		<?php endif; ?>
		       		<?php if ( class_exists('acf') && $show_grid_lines !== 'no' ) : ?>
		            	<div class="lines-overlay animated fadeInDown"></div>
		            <?php endif; ?>
		       		<div class="slide-img animated fadeInRight hide-on-mobile" style="background-image:url(<?php echo esc_url( $slide_image[0] ); ?> );"></div>
		       		<div class="slide-img animated fadeInRight hide-on-desk" style="background-image:url(<?php echo esc_url( $slide_image_mobile[0] ); ?> );"></div>
			       	<div class="container">
			       		<div class="carousel-content animated fadeIn text-<?php echo esc_attr( $slide_text_color ); ?>">
			       			<?php if ( class_exists('acf') && 'hide' !== $show_slide_indicators && $total_slides > 1 ) : ?>
			       				<div class="slide-subtitle animated <?php echo esc_attr( $slide_subtitle_animation ); ?>"><span><?php echo ( $slide_number < 11 ) ? '0' . esc_attr( $slide_number) : esc_attr($slide_number); ?></span> / <?php echo ( $total_slides < 11 ) ? '0' . esc_attr( $total_slides): esc_attr($total_slides); ?></div>
			       			<?php endif; ?>
			       			<?php if( get_sub_field( 'slide_main_heading' ) ) : ?>
				    			<div class="slide-title animated <?php echo esc_attr( $slide_headline_animation ); ?>">
				    				<h2 class="headline-<?php echo esc_attr( $slider_headline_font_size ); ?>"><?php esc_attr( the_sub_field( 'slide_main_heading' ) ); ?></h2>
				    			</div>
				    		<?php endif; ?>
			       			<div class="slide-content animated <?php echo esc_attr( $slide_tagline_animation ); ?>">
				    			<?php if( get_sub_field( 'slide_text' ) ) : ?>
				    				<p class="tagline"><?php esc_attr( the_sub_field( 'slide_text' ) ); ?></p>
				    			<?php endif; ?>
				    		</div>
				    		<div class="slide-buttons animated <?php echo esc_attr( $slide_buttons_animation ); ?>">
				    			<?php if( get_sub_field( 'slide_buttons' ) ) : ?>
				    				<?php esc_attr( the_sub_field( 'slide_buttons' ) ); ?>
				    			<?php endif; ?>
				    		</div>
				    	</div>
			       	</div>
			       	<style>
			       	#slider-fullwidth.slider-style-4 .item:nth-child(<?php echo esc_attr($slide_number);?>) .slide-img::before {
			       	    border-top-color: <?php echo esc_attr( $overlay_color ); ?>;
			       	}
			       	</style>

		       	</div> <!-- Carousel item end -->
				
				<?php endwhile; ?>

				<?php 
				    if ( $total_slides > 1 ) : ?>
						<!-- Carousel nav begin -->
						<a class="carousel-control left" href="#slider-fullwidth" data-slide="prev"><span class="icon-arrow-left"></span></a>
						<a class="carousel-control right" href="#slider-fullwidth" data-slide="next"><span class="icon-arrow-right"></span></a>
						<!-- Carousel nav end -->
				<?php endif; ?>

				<?php if ( $total_slides > 1 && 'yes' === $show_dotted_indicators ) : ?>
				    <div class="container">
				        <ol class="carousel-indicators bot-<?php echo esc_attr( $indicators_bottom_position ); ?>">
				            <?php
				            $i = -1;
				            while ( have_rows( 'slide' ) ) : 
				                the_row();
				                $i++;
				            ?>
				                <li data-target="#slider-fullwidth" data-slide-to="<?php echo esc_attr( $i ); ?>"<?php echo 0 === $i ? ' class="active"': ''; ?>></li>
				            <?php endwhile; ?>
				        </ol>
				    </div>
				<?php endif; ?>

			</div>
		</div> <!-- End Fullwidth slider -->