<?php

add_action( 'init', 'wp_barebones_create_header_sliders_post_type' );
function wp_barebones_create_header_sliders_post_type() {
	
	$labels = array(
	    'name' => 'Sliders',
	    'singular_name' => 'Slide',
	    'add_new' => 'Add New',
	    'add_new_item' => 'Add New Slide',
	    'edit_item' => 'Edit Slide',
	    'new_item' => 'New Slide',
	    'all_items' => 'Header Sliders',
	    'view_item' => 'View Slide',
	    'search_items' => 'Search Slides',
	    'not_found' =>  'No slides found',
	    'not_found_in_trash' => 'No slides found in Trash', 
	    'parent_item_colon' => '',
	    'menu_name' => 'Header Sliders'
	);
	
	register_post_type( 'wpbb_header_slider',
		array(
			'labels' => $labels, 
			'public' => true,
			'publicly_queryable' => false,
			'exclude_from_search' => true,
			'show_in_nav_menus' => false,
			'show_in_menu' => 'wmfx-theme-options-top-level',
			'menu_position' => 100,
			'has_archive' => false,
			'query_var' => false,
			'rewrite' => false,
			'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt', 'custom-fields' )
		)
	);
}

add_shortcode( 'headersliders', 'wp_barebones_headersliders' );
function wp_barebones_headersliders($atts) {
	extract(shortcode_atts(array(
	      'container_id' => 'main-slider',
	      'slider_id' => 'slider140',
    ), $atts));
	
	ob_start();
	
	$args = array( 
		'post_type' => 'wpbb_header_slider',
		'numberposts' => -1, 
		'order' => 'menu-order',
		'suppress_filters' => false,
	);

	$slides = get_posts($args);
	$numslides = count($slides);
	
	?>
	<div id="<?php echo $container_id ; ?>">
		<div class="bottom">
			<div class="top">
				<div class="centering">
					<div class="clr"></div>
					<script type="text/javascript">
						// <![CDATA[
							jQuery(window).load(function() {
								jQuery('#<?php echo $slider_id ; ?>').nivoSlider({
									effect: 'random', // Effects available: 'random,fold,fade,boxRandom,sliceDown,sliceDownLeft,sliceUp,sliceUpLeft,sliceUpDown,sliceUpDownLeft,slideInRight,slideInLeft,boxRain,boxRainReverse,boxRainGrow,boxRainGrowReverse'
									slices: 15, // For slice animations
									boxCols: 8, // For box animations
									boxRows: 4, // For box animations
									animSpeed: 1500, // Slide transition speed
									pauseTime: 5000, // How long each slide will show before next slide (3000 = 3 seconds)
									startSlide: 0, // Set starting Slide (0 index)
									directionNav: true, // Next & Prev navigation
									directionNavHide: true, // Only show on hover
									controlNav: true, // 1,2,3... navigation
									controlNavThumbs: false, // Use thumbnails for Control Nav
									controlNavThumbsFromRel:true, // Generates the thumbnail url from the “rel” attribute in your image tags
									pauseOnHover: true, // Stop animation while hovering
									manualAdvance: false, // Force manual transitions
									prevText: '<', // Prev directionNav text
									nextText: '>', // Next directionNav text
									randomStart: false, // Start on a random slide
									beforeChange: function(){}, // Triggers before a slide transition
									afterChange: function(){}, // Triggers after a slide transition
									slideshowEnd: function(){}, // Triggers after all slides have been shown
									lastSlide: function(){}, // Triggers when last slide is shown
									afterLoad: function(){} // Triggers when slider has loaded
								});
							});
	
						// ]]>
					</script>
					<div class="dc-slider dc-responsive" style="width: 100%; margin:0 auto; padding:0;  position:relative;">
						<div class="slider-wrapper theme-default">
							<div id="<?php echo $slider_id ; ?>" class="nivoSlider">
							<?php for( $i = 0 ; $i < count($slides); $i++ ): $slide = $slides[$i]; ?>
								<?php
									$post_thumbnail_id = get_post_thumbnail_id( $slide->ID );
									$image_attributes = wp_get_attachment_image_src( $post_thumbnail_id, 'full' );
									$image_src = $image_attributes[0];
									echo '<img src="' . $image_src . '" />' ;
								?>
	  						<?php endfor; ?>		    	
							</div> <!-- /slider -->		
						</div> <!-- /slider-wrapper -->
					</div>
					<img src="http://templateaccess.com/wpdemos/qwertypress-wp304/wp-content/themes/qwertypress/images/slider-shadow.png" alt="" class="slider-shadow" />
					<div class="clr"></div>
					<!--/slider -->              
				</div>
			</div>
		</div>
	</div><!-- #main-slider -->
	
	<?php 
	return ob_get_clean();		
}
	